Skip to main content
POST
/
billing
/
buy-credits
Start a credit purchase and get a Paddle transaction id
curl --request POST \
  --url https://api.bridgly.app/billing/buy-credits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amountUsd": 4503599627370498
}
'
import requests

url = "https://api.bridgly.app/billing/buy-credits"

payload = { "amountUsd": 4503599627370498 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amountUsd: 4503599627370498})
};

fetch('https://api.bridgly.app/billing/buy-credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactionId": "<string>",
  "credits": 123
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.

Body

application/json
amountUsd
integer
required

Whole-dollar amount to spend on credits. Minimum $5.

Required range: 5 <= x <= 9007199254740991

Response

Default Response

transactionId
string
required

Paddle transaction id to open in the checkout overlay.

credits
number
required

Credits that will be granted once the transaction completes.